KILL(1)

NAME
kill - terminate a process

SYNOPSIS
kill [ -s signal | -p ] [ -a ] pid ...
kill -l [ signal ]

DESCRIPTION
kill sends the specified signal to the specified process. If no signal is specified, the TERM signal is sent. The TERM signal will kill processes which do not catch this signal. For other processes, if may be necessary to use the KILL (9) signal, since this signal cannot be caught. Most modern shells have a builtin kill function.

OPTIONS

pid ...
    Specify the list of processes that kill should signal. Each pid can be one of four things. A process name in which case processes called that will be signaled. n where n is larger than 0. The process with pid n will be signaled. -1 in which case all processes from MAX_INT to 2 will be signaled, as allowed by the issuing user. -n where n is larger than 1, in which case processes in process group n are signaled. IFF a negative argument is given the signal must be specified first, otherwise it will be taken as the signal to send.

-s  Specify the signal to send. The signal may be given as a signal name or number.

-p  Specify that kill should only print the process id (pid) of the named process, and should not send it a signal.

-l  Print a list of signal names. These are found in /usr/include/linux/signal.h

SEE ALSO
bash(1), tcsh(1), kill(2), sigvec(2)

AUTHOR
Taken from BSD 4.4. The ability to translate process names to process ids was added by Salvatore Valente <svalente@mit.edu>.